[General]
network = inet.examples.awareness.CAMNetwork
sim-time-limit = 100s

*.bitrate = 6Mbps
**.camType ="Praios"
**.powers ="0.1 1"
**.rates ="1 10"
*.node[*].cam.initialPower = 0.5 #W

**.MBL_bps=648000b  # C=150 beacons/s
*.*.wlan.mac.dcf.channelAccess.contention.initialChannelBusy = false
*.*.wlan.radio.bandName="5.9 GHz"



# mobility settings
*.nodes=0 #If we use FileNodeManager to read from file the vector has to be empty
*.**.mobility.initFromDisplayString = false
*.*.mobility.typename = "inet.mobility.static.StationaryMobility"
**.mobility.constraintAreaMinX=-5000m
**.mobility.constraintAreaMinY=0m
**.mobility.constraintAreaMinZ=0m
**.mobility.constraintAreaMaxX=5000m
**.mobility.constraintAreaMaxY=5000m
**.mobility.constraintAreaMaxZ=100m

*.*.mobility.initialY = 200m
*.*.mobility.initialZ = 2m #height according to INET

#*.node[0].mobility.initialX = 0m
#*.node[1].mobility.initialX = 100m
*.nodeManager.filename="nodes.txt" #38 nodes
*.nodeManager.maxX=2000m

*.radioMedium.pathLoss.typename = "NakagamiFading" #shapeParameter is already 1 m=1
*.radioMedium.pathLoss.alpha=2.5 #pathloss exponent

#Result recording
**.wlan.**.statistic-recording = false
**.wlan.**.scalar-recording = false
**.wlan.**.vector-recording = false
[Config useCBT]
*.nodeManager.typename="FileNodeManager"
*.node[*].cam.useCBT=true
[Config full]
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].vehicleTable.updateTime=0.25s
**.MBL_bps=3.4468e6 b  # C=150 beacons/s
[Config full-beta]
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 2.6025e-08
*.node[*].cam.gammaStep = 1e-7
*.node[*].cam.syncPeriod=0.25s
*.node[*].vehicleTable.updateTime=0.25s
**.MBL_bps=3.4468e6 b  # C=150 beacons/s

[Config no-control]
sim-time-limit = 50s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.initialPower = 1
*.node[*].cam.disableControl =true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 2.6025e-08
*.node[*].cam.gammaStep = 1e-7
*.node[*].cam.syncPeriod=0.1s
*.node[*].vehicleTable.updateTime=0.25s
**.MBL_bps=2.2979e6 b  # C=150 beacons/s


[Config full-beta-low]
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 2.6025e-08
*.node[*].cam.gammaStep = 1e-7
*.node[*].cam.syncPeriod=0.25s
*.node[*].vehicleTable.updateTime=0.25s
**.MBL_bps=2.2979e6 b  # C=150 beacons/s

[Config full-beta-low2]
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 2.6025e-08
*.node[*].cam.gammaStep = 1e-7
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.025
*.node[*].vehicleTable.updateTime=0.25s

**.MBL_bps=2.2979e6 b  # C=150 beacons/s

[Config full-beta-low-nocbt]
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=false
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 2.6025e-08
*.node[*].cam.gammaStep = 1e-7
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s

**.MBL_bps=2.2979e6 b  # C=150 beacons/s
[Config useCBT-nosp-s]
*.nodeManager.typename="FileNodeManager"
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.syncPeriod=0.25s
*.node[*].vehicleTable.updateTime=0.25s


[Config useCBT-nosp-final]
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.syncPeriod=0.1s
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.betaStep= 2.5e-06
*.node[*].cam.initialPower = 0.9

[Config bfpc-l38-u4]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 4
*.node[*].cam.w = 65
*.node[*].cam.c = 3


[Config bfpc-l38-u10]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 10
*.node[*].cam.w = 325
*.node[*].cam.c = 3
[Config bfpc-l286-u30]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes10.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 30

[Config bfpc-l286-u20]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes10.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 20
*.node[*].cam.w = 650
*.node[*].cam.c = 3

[Config bfpc-l286-u20-w450]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes10.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 20
*.node[*].cam.w = 450
*.node[*].cam.c = 3


[Config bfpc-l286-u20-c1]
repeat=10
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes10.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 20
*.node[*].cam.w = 650
*.node[*].cam.c = 1

[Config bfpc-highway-u20-c1]
repeat=10
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="highway.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "1 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 20
*.node[*].cam.w = 650
*.node[*].cam.c = 1
*.node[255..304].mobilityType="inet.mobility.single.LinearMobility"
*.node[255..304].mobility.typename = "inet.mobility.single.LinearMobility"
*.node[255..304].mobility.speed = 30mps
*.node[255..304].mobility.initialMovementHeading=180deg

[Config bfpc-l286-u20-c05]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes10.txt"
*.node[*].camType="BFPC"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.u = 20
*.node[*].cam.w = 650
*.node[*].cam.c = 0.5

[Config sae-l38-c01]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].camType="SAEJ2945"
*.node[*].vtType="VehicleTableSAE"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.vMaxChanUtil=0.1
*.node[*].cam.vMinChanUtil=0.05

[Config sae-l38-c01-250]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].camType="SAEJ2945"
*.node[*].vtType="VehicleTableSAE"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.vMaxChanUtil=0.1
*.node[*].cam.vMinChanUtil=0.05
*.node[*].vehicleTable.vPERRange=250m

[Config sae-l286-c04]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].camType="SAEJ2945"
*.node[*].vtType="VehicleTableSAE"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.vMaxChanUtil=0.4
*.node[*].cam.vMinChanUtil=0.3
[Config sae-l286-c04-250]
repeat=10
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].camType="SAEJ2945"
*.node[*].vtType="VehicleTableSAE"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.vMaxChanUtil=0.4
*.node[*].cam.vMinChanUtil=0.3
*.node[*].vehicleTable.vPERRange=250m

[Config sae-highway-c06-250]
repeat=10
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "highway.txt"
*.node[*].camType="SAEJ2945"
*.node[*].vtType="VehicleTableSAE"
*.node[*].cam.rates = "1 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.vMaxChanUtil=0.6
*.node[*].cam.vMinChanUtil=0.3
*.node[*].vehicleTable.vPERRange=250m
*.node[255..304].mobilityType="inet.mobility.single.LinearMobility"
*.node[255..304].mobility.typename = "inet.mobility.single.LinearMobility"
*.node[255..304].mobility.speed = 30mps
*.node[255..304].mobility.initialMovementHeading=180deg

[Config sae-highway-c06-250-rand]
repeat=10
sim-time-limit = 100s
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "highway.txt"
*.node[*].camType="SAEJ2945"
*.node[*].vtType="VehicleTableSAE"
*.node[*].cam.rates = "1 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.vMaxChanUtil=0.6
*.node[*].cam.vMinChanUtil=0.3
*.node[*].vehicleTable.vPERRange=250m
*.node[*].cam.randomizedBeacon = true
*.node[255..304].mobilityType="inet.mobility.single.LinearMobility"
*.node[255..304].mobility.typename = "inet.mobility.single.LinearMobility"
*.node[255..304].mobility.speed = 30mps
*.node[255..304].mobility.initialMovementHeading=180deg

[Config l38-c01-cbt-nosp]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].cam.MBL_cbt=0.1
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.syncPeriod=0.1s
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.betaStep= 2.77e-05
*.node[*].cam.initialPower = 0.9

[Config l38-c01-cbt-nosp-m3]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].cam.MBL_cbt=0.1
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.syncPeriod=0.1s
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.betaStep= 2.77e-05
*.node[*].cam.initialPower = 0.9
*.radioMedium.pathLoss.shapeFactor=3
 
[Config l38-c01-cbt-nosp-m08]
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename="nodes.txt"
*.node[*].cam.MBL_cbt=0.1
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.syncPeriod=0.1s
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.betaStep= 2.77e-05
*.node[*].cam.initialPower = 0.9
*.radioMedium.pathLoss.shapeFactor=0.8

[Config l286-c04-cbt-nosp]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.MBL_cbt=0.4

[Config l286-c04-cbt-nosp-priority]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.MBL_cbt=0.4

*.node[100].cam.priority=4
*.node[200].cam.priority=4
*.node[10].cam.priority=0.25
*.node[276].cam.priority=0.25

[Config l286-c04-cbt-nosp-priority-nomod]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.MBL_cbt=0.4
*.node[*].cam.useLocalGradMod=false
*.node[100].cam.priority=4
*.node[200].cam.priority=4
*.node[10].cam.priority=0.25
*.node[276].cam.priority=0.25


[Config highway-cbt-nosp]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "highway.txt"
*.node[*].cam.rates = "1 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.MBL_cbt=0.6
*.node[255..304].mobilityType="inet.mobility.single.LinearMobility"
*.node[255..304].mobility.typename = "inet.mobility.single.LinearMobility"
*.node[255..304].mobility.speed = 30mps
*.node[255..304].mobility.initialMovementHeading=180deg

[Config priority-mov-cbt-nosp]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "highway.txt"
*.node[0..254].cam.rates = "1 10"
*.node[255..280].cam.rates="6 10"
*.node[255..280].cam.powers="0.5 1"
*.node[281..304].cam.powers="0.1 1"
*.node[281..304].cam.rates="1 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s

*.node[255..304].mobilityType="inet.mobility.single.LinearMobility"
*.node[255..304].mobility.typename = "inet.mobility.single.LinearMobility"
*.node[255..304].mobility.speed = 30mps
*.node[255..304].mobility.initialMovementHeading=180deg
*.node[255..304].cam.MBL_cbt=0.6
*.node[0..254].cam.MBL_cbt=0.5
*.node[255].cam.priority=4
*.node[280].cam.priority=4
*.node[290].cam.priority=4
*.node[303].cam.priority=4
*.node[55].cam.priority=4
*.node[180].cam.priority=4
*.node[190].cam.priority=4
*.node[203].cam.priority=4

[Config priority-cbt-nosp]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "priority.txt"
*.node[0..254].cam.rates = "1 10"
*.node[0..254].cam.powers = "0.1 1"
*.node[255..280].cam.rates="6 10"
*.node[255..280].cam.powers="0.5 1"
*.node[281..304].cam.powers="0.1 1"
*.node[281..304].cam.rates="1 10"
#*.node[0..254].vehicleTable.irt:vector.vector-recording=false
#*.node[281..304].vehicleTable.irt:vector.vector-recording=false

*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=1s

*.node[255..304].cam.MBL_cbt=0.6
*.node[0..254].cam.MBL_cbt=0.4
*.node[255].cam.priority=4
*.node[280].cam.priority=4
*.node[290].cam.priority=4
*.node[303].cam.priority=4
*.node[55].cam.priority=4
*.node[180].cam.priority=4
*.node[190].cam.priority=4
*.node[203].cam.priority=4

[Config priority-vt-cbt-nosp]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "priority.txt"
*.node[0..254].cam.rates = "1 10"
*.node[0..254].cam.powers = "0.1 1"
#*.node[0..254].vehicleTable.irt:vector.vector-recording=false
*.node[255..280].cam.rates="7 10"
*.node[255..280].cam.powers="0.6 1"
#*.node[281..304].vehicleTable.irt:vector.vector-recording=false
*.node[281..304].cam.powers="0.1 1"
*.node[281..304].cam.rates="1 10"

*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=1s
*.node[255..304].cam.MBL_cbt=0.6
*.node[0..254].cam.MBL_cbt=0.4
*.node[255].cam.priority=4
*.node[280].cam.priority=4
*.node[290].cam.priority=4
*.node[303].cam.priority=4
*.node[55].cam.priority=4
*.node[180].cam.priority=4
*.node[190].cam.priority=4
*.node[203].cam.priority=4


[Config l286-c04-cbt-nosp-m3]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.MBL_cbt=0.4
*.radioMedium.pathLoss.shapeFactor=3 

[Config l286-c04-cbt-nosp-m05]
sim-time-limit = 100s
repeat=10
*.nodeManager.typename="FileNodeManager"
*.nodeManager.filename = "nodes10.txt"
*.node[*].cam.rates = "2.6 10"
*.node[*].cam.initialPower = 0.9
*.node[*].cam.useCBT=true
*.node[*].cam.useSplit=false
*.node[*].cam.betaStep= 4.8902e-07
*.node[*].cam.syncPeriod=0.1s
*.node[*].cam.weight=0.005
*.node[*].vehicleTable.updateTime=0.25s
*.node[*].cam.MBL_cbt=0.4
*.radioMedium.pathLoss.shapeFactor=0.5 


[Config useSplit]
*.nodeManager.typename="FileNodeManager"
*.node[*].cam.useSplit=false
[Config testCBT]
sim-time-limit = 10s
*.nodes=2
*.node[*].camType="Praios"
*.node[0].mobility.initialX = 0m
*.node[1].mobility.initialX = 100m
*.node[1].cam.disableGeneration =true
[Config testPDR]
sim-time-limit = 100s
*.nodes=5
*.node[*].cam.initialPower = 1
*.node[*].camType="Praios"
*.node[0].mobility.initialX = 0m
*.node[1].mobility.initialX = 100m
*.node[1].cam.disableGeneration =true
*.node[2].mobility.initialX = 200m
*.node[2].cam.disableGeneration =true
*.node[3].mobility.initialX = 300m
*.node[3].cam.disableGeneration =true
*.node[4].mobility.initialX = 400m
*.node[4].cam.disableGeneration =true
